Attribute VB_Name = "Lmpqapi"
Option Explicit

Declare Function GetLastError Lib "Kernel32" () As Long

'General error codes
Public Const MPQ_ERROR_INIT_FAILED = &H85000001 'Unspecified error
Public Const MPQ_ERROR_NO_STAREDIT = &H85000002 'Can't find StarEdit.exe
Public Const MPQ_ERROR_BAD_STAREDIT = &H85000003 'Bad version of StarEdit.exe. Need SC/BW 1.07
Public Const MPQ_ERROR_STAREDIT_RUNNING = &H85000004 'StarEdit.exe is running. Must be closed

Public Const MPQ_ERROR_MPQ_INVALID = &H85200065
Public Const MPQ_ERROR_FILE_NOT_FOUND = &H85200066
Public Const MPQ_ERROR_DISK_FULL = &H85200068 'Physical write file to MPQ failed. Not sure of exact meaning
Public Const MPQ_ERROR_HASH_TABLE_FULL = &H85200069
Public Const MPQ_ERROR_ALREADY_EXISTS = &H8520006A
Public Const MPQ_ERROR_BAD_OPEN_MODE = &H8520006C 'When MOAU_READ_ONLY is used without MOAU_OPEN_EXISTING

Public Const MPQ_ERROR_COMPACT_ERROR = &H85300001

'MpqOpenArchiveForUpdate flags
Public Const MOAU_CREATE_NEW = &H0
Public Const MOAU_CREATE_ALWAYS = &H8 'Was wrongly named MOAU_CREATE_NEW
Public Const MOAU_OPEN_EXISTING = &H4
Public Const MOAU_OPEN_ALWAYS = &H20
Public Const MOAU_READ_ONLY = &H10 'Must be used with MOAU_OPEN_EXISTING
Public Const MOAU_MAINTAIN_LISTFILE = &H1

' AddFileToArchive flags
Public Const MAFA_EXISTS = &H80000000 'Will be added if not present
Public Const MAFA_UNKNOWN40000000 = &H40000000
Public Const MAFA_MODCRYPTKEY = &H20000
Public Const MAFA_ENCRYPT = &H10000
Public Const MAFA_COMPRESS = &H200
Public Const MAFA_COMPRESS2 = &H100
Public Const MAFA_REPLACE_EXISTING = &H1

' AddWAVToArchive flags
Public Const MAWA_QUALITY_HIGH = 1
Public Const MAWA_QUALITY_MEDIUM = 0
Public Const MAWA_QUALITY_LOW = 2

' SFileGetFileInfo flags
Public Const SFILE_INFO_BLOCK_SIZE = &H1 'Block size in MPQ
Public Const SFILE_INFO_HASH_TABLE_SIZE = &H2 'Hash table size in MPQ
Public Const SFILE_INFO_NUM_FILES = &H3 'Number of files in MPQ
Public Const SFILE_INFO_TYPE = &H4 'Is Long a file or an MPQ?
Public Const SFILE_INFO_SIZE = &H5 'Size of MPQ or uncompressed file
Public Const SFILE_INFO_COMPRESSED_SIZE = &H6 'Size of compressed file
Public Const SFILE_INFO_FLAGS = &H7 'File flags (compressed, etc.)
Public Const SFILE_INFO_PARENT = &H8 'Handle of MPQ that file is in
Public Const SFILE_INFO_POSITION = &H9 'Position of file pointer in files

Public Const SFILE_TYPE_MPQ = &H1
Public Const SFILE_TYPE_FILE = &H2
